You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: pa...@freebsd.org
Ident:          $FreeBSD: head/editors/mp/Makefile 382181 2015-03-24 21:40:47Z 
pawel $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p394335_s286812/logs/mp-5.2.9.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p394335_s286812
Log:

====>> Building editors/mp
build started at Tue Aug 18 04:07:27 UTC 2015
port directory: /usr/ports/editors/mp
building for: FreeBSD head-armv6-default-job-14 11.0-CURRENT FreeBSD 
11.0-CURRENT r286812 arm
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/editors/mp/Makefile 382181 2015-03-24 
21:40:47Z pawel $
Poudriere version: 3.1.7
Host OSVERSION: 1100077
Jail OSVERSION: 1100078




!!! Jail is newer than host. (Jail: 1100078, Host: 1100077) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100078
UNAME_v=FreeBSD 11.0-CURRENT r286812
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=mp-5.2.9
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.7
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for mp-5.2.9:
     DOCS=on: Build and/or install documentation
     NLS=on: Native Language Support
     PCRE=on: Use Perl Compatible Regular Expressions
====> GUI (Graphical User Interface) support: you can only select none or one 
of them
     GTK3=off: GTK+ 3 GUI toolkit support
     GTK2=off: GTK+ 2 GUI toolkit support
     QT4=off: Qt 4 toolkit support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local --without-win32 --without-kde4 --with-gettext --with-pcre 
--without-qt4 --without-gtk
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/editors/mp/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/editors/mp/work  
HOME=/wrkdirs/usr/ports/editors/mp/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/editors/mp/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/editors/mp/work  
HOME=/wrkdirs/usr/ports/editors/mp/work TMPDIR="/tmp" NO_PIE=yes SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -mfloat-abi=softfp  
-fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" 
-Wl,-rpath=/usr/lib:/usr/local/lib" LIBS=""  CXX="/nxb-bin/usr/bin/c++" 
CXXFLAGS="-O2 -pipe -mfloat-abi=softfp -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
DOCS=""
NO_DOCS="@comment
"
NLS=""
NO_NLS="@comment
"
PCRE=""
NO_PCRE="@comment
"
GTK3="@comment
"
NO_GTK3=""
GTK2="@comment
"
NO_GTK2=""
QT4="@comment
"
NO_QT4=""
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/mp"
EXAMPLESDIR="share/examples/mp"
DATADIR="share/mp-5"
WWWDIR="www/mp"
ETCDIR="etc/mp"
--End PLIST_SUB--

--SUB_LIST--
DOCS=""
NO_DOCS="@comment
"
NLS=""
NO_NLS="@comment
"
PCRE=""
NO_PCRE="@comment
"
GTK3="@comment
"
NO_GTK3=""
GTK2="@comment
"
NO_GTK2=""
QT4="@comment
"
NO_QT4=""
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/mp-5
DOCSDIR=/usr/local/share/doc/mp
EXAMPLESDIR=/usr/local/share/examples/mp
WWWDIR=/usr/local/www/mp
ETCDIR=/usr/local/etc/mp
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
<snip>
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   mp-5.2.9 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.5.6.txz
[head-armv6-default-job-14] Installing pkg-1.5.6...
[head-armv6-default-job-14] Extracting pkg-1.5.6: .......... done
Message for pkg-1.5.6:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   mp-5.2.9 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of mp-5.2.9
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by mp-5.2.9 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by mp-5.2.9 for building
=> SHA256 Checksum OK for mp-5.2.9.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by mp-5.2.9 for building
===>  Extracting for mp-5.2.9
=> SHA256 Checksum OK for mp-5.2.9.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for mp-5.2.9
===>  Applying FreeBSD patches for mp-5.2.9
===========================================================================
=======================<phase: build-depends  >============================
===>   mp-5.2.9 depends on executable: msgfmt - not found
===>   Installing existing package /packages/All/gettext-tools-0.19.5.1.txz
[head-armv6-default-job-14] Installing gettext-tools-0.19.5.1...
[head-armv6-default-job-14] `-- Installing expat-2.1.0_3...
[head-armv6-default-job-14] `-- Extracting expat-2.1.0_3: .......... done
[head-armv6-default-job-14] `-- Installing gettext-runtime-0.19.5.1...
[head-armv6-default-job-14] |   `-- Installing indexinfo-0.2.3...
[head-armv6-default-job-14] |   `-- Extracting indexinfo-0.2.3: .... done
[head-armv6-default-job-14] `-- Extracting gettext-runtime-0.19.5.1: .......... 
done
[head-armv6-default-job-14] Extracting gettext-tools-0.19.5.1: .......... done
===>   mp-5.2.9 depends on executable: msgfmt - found
===>   Returning to build of mp-5.2.9
===========================================================================
=======================<phase: lib-depends    >============================
===>   mp-5.2.9 depends on shared library: libpcre.so - not found
===>   Installing existing package /packages/All/pcre-8.37_3.txz
[head-armv6-default-job-14] Installing pcre-8.37_3...
[head-armv6-default-job-14] Extracting pcre-8.37_3: .......... done
===>   mp-5.2.9 depends on shared library: libpcre.so - found 
(/usr/local/lib/libpcre.so)
===>   Returning to build of mp-5.2.9
===>   mp-5.2.9 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for mp-5.2.9
Configuring...
Testing if C compiler supports -O2 -pipe -mfloat-abi=softfp  
-fno-strict-aliasing... OK
Looking for MPDM... OK (./mpdm)

Configuring MPDM...
Testing if C compiler supports -O2 -pipe -mfloat-abi=softfp  
-fno-strict-aliasing... OK
Testing for win32... Disabled by user
Testing for unix-like glob.h... OK
Testing for regular expressions... OK (using pcre library)
Testing for unistd.h... OK
Testing for sys/types.h... OK
Testing for sys/wait.h... OK
Testing for sys/stat.h... OK
Testing for pwd.h... OK
Testing for sys/socket.h... OK
Testing for netdb.h... OK
Testing for chown()... OK
Testing for gettext... OK (libintl needed)
Testing for iconv... OK
Testing for wcwidth()... OK
Testing for file canonicalization... realpath()
Testing for nanosleep()... OK
Testing for strptime()... OK
Testing for malloc/malloc.h... No (assuming malloc.h in standard place)
Testing for POSIX threads... OK
Testing for POSIX semaphores... OK
Testing if Grutatxt is installed... No
Testing if mp_doccer is installed... No

Looking for MPSL... OK (./mpsl)

Configuring MPSL...
Testing if C compiler supports -O2 -pipe -mfloat-abi=softfp  
-fno-strict-aliasing... OK
Looking for MPDM... OK (../mpdm)

Testing for win32... Disabled
Testing for ncursesw... OK (ncursesw)
Testing for transparency support in curses... OK
Testing for wget_wch()... OK
Testing for KDE4... Disabled
Testing for Qt4... Disabled
Testing for GTK... Disabled
Testing for msgfmt... OK

Configured drivers: ncursesw

Type 'make' to build Minimum Profit.
===========================================================================
=======================<phase: build          >============================
===>  Building for mp-5.2.9
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -I. `cat 
config.cflags` -c mp_core.c
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -I. `cat 
config.cflags` -c mpv_curses.c
( cd ./mpdm; /nxb-bin/usr/bin/make )
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing `cat config.cflags` -c mpdm_v.c
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing `cat config.cflags` -c mpdm_a.c
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing `cat config.cflags` -c mpdm_h.c
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing `cat config.cflags` -c mpdm_d.c
/nxb-bin/usr/bin/cc -O2 -pipe -mfloat-abi=softfp  -fno-strict-aliasing -O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing `cat config.cflags` -c mpdm_s.c
mpdm_s.c:1070:5: error: conflicting types for '__wcwidth'
int wcwidth(wchar_t);
    ^
/usr/include/wchar.h:204:21: note: expanded from macro 'wcwidth'
#define wcwidth(_c)     __wcwidth(_c)
                        ^
/usr/include/_ctype.h:158:1: note: previous definition is here
__wcwidth(__ct_rune_t _c)
^
1 error generated.
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/editors/mp/work/mp-5.2.9/mpdm
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/editors/mp/work/mp-5.2.9
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/mp
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to